Main Page | Modules | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# InternalPacket Struct Reference

Structure of an Internal Packet. More...

`#include <InternalPacket.h>`

List of all members.

## Public Attributes
bool | isAcknowledgement
PacketNumberType | packetNumber
PacketPriority | priority
PacketReliability | reliability
unsigned char | orderingChannel
unsigned char | orderingIndex
unsigned long | splitPacketId
unsigned long | splitPacketIndex
unsigned long | splitPacketCount
unsigned long | creationTime
unsigned long | nextActionTime
unsigned long | dataBitLength
char * | data

## Detailed Description

Structure of an Internal Packet.

Internal packets are used whitin the RakNet Network Library for internal management only.

## Member Data Documentation

unsigned long InternalPacket::creationTime

| When this packet was created

char* InternalPacket::data

| Buffer is a pointer to the actual data, assuming this packet has data at all

unsigned long InternalPacket::dataBitLength

| How many bits the data is

bool InternalPacket::isAcknowledgement

| True if this is an acknowledgement packet

unsigned long InternalPacket::nextActionTime

| The next time to take action on this packet

unsigned char InternalPacket::orderingChannel

| What ordering channel this packet is on, if the reliability type uses ordering channels

unsigned char InternalPacket::orderingIndex

| The ID used as identification for ordering channels

PacketNumberType InternalPacket::packetNumber

| The number of this packet, used as an identifier

PacketPriority InternalPacket::priority

| The priority level of this packet

PacketReliability InternalPacket::reliability

| What type of reliability algorithm to use with this packet

unsigned long InternalPacket::splitPacketCount

| The size of the array of split packets

unsigned long InternalPacket::splitPacketId

| The ID of the split packet, if we have split packets

unsigned long InternalPacket::splitPacketIndex

| If this is a split packet, the index into the array of split packets

The documentation for this struct was generated from the following file:

- Projects/raknet/include/raknet/InternalPacket.h